gtksourceviewmm 3.21.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Gsv::SourceCompletionError Class Reference

`#include <gtksourceviewmm/completion.h>`

Inheritance diagram for Gsv::SourceCompletionError:
[legend]

## Public Types
enum | Code { ALREADY_BOUND, NOT_BOUND }
| An error code used with Gtk::SOURCE_COMPLETION_ERROR in a Error returned from a completion-related function. More...

## Public Member Functions
| SourceCompletionError (Code error_code, const Glib::ustring& error_message)
| SourceCompletionError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring &message)
| Error (GError *gobject, bool take_copy=false)
| Error (const Error &other)
Error & | operator= (const Error &other)
| ~Error () noexceptoverride
GQuark | domain () const
int | code () const
Glib::ustring | what () const override
bool | matches (GQuark error_domain, int error_code) const
GError * | gobj ()
const GError * | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception () noexcept=0

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError * | gobject_

## Member Enumeration Documentation

enum Gsv::SourceCompletionError::Code

An error code used with Gtk::SOURCE_COMPLETION_ERROR in a Error returned from a completion-related function.

Enumerator
ALREADY_BOUND | The Gtk::SourceCompletionProvider is already bound to the Gtk::SourceCompletion object.
NOT_BOUND | The Gtk::SourceCompletionProvider is not bound to the Gtk::SourceCompletion object.

## Constructor & Destructor Documentation

Gsv::SourceCompletionError::SourceCompletionError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

Gsv::SourceCompletionError::SourceCompletionError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

Code Gsv::SourceCompletionError::code | ( |  | ) | const